Export current user's data
const url = 'https://app.everruns.com/api/v1/users/me/export';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.everruns.com/api/v1/users/me/exportReturns all user-owned data in a structured JSON format for GDPR compliance.
Responses
Section titled “ Responses ”User data export
Full user data export response (GDPR compliance)
object
Exported API key metadata (no sensitive data)
object
Timestamp when this resource was created (RFC 3339).
Prefixed public identifier. See ID Schema.
Human-readable name. Safe to render in user-facing messages.
Exported organization membership
object
Human-readable name. Safe to render in user-facing messages.
Owning organization’s prefixed public identifier.
Prefixed public identifier. See ID Schema.
Exported user profile data
object
Timestamp when this resource was created (RFC 3339).
Prefixed public identifier. See ID Schema.
Human-readable name. Safe to render in user-facing messages.
Timestamp when this resource was last updated (RFC 3339).
Example generated
{ "api_keys": [ { "created_at": "2026-04-15T12:00:00Z", "expires_at": "2026-04-15T12:00:00Z", "id": "example", "key_prefix": "example", "last_used_at": "2026-04-15T12:00:00Z", "name": "example", "scopes": "example" } ], "exported_at": "2026-04-15T12:00:00Z", "organizations": [ { "name": "example", "org_id": 1, "public_id": "example", "role": "example" } ], "user": { "auth_provider": "example", "avatar_url": "example", "created_at": "2026-04-15T12:00:00Z", "email": "example", "email_verified": true, "id": "example", "name": "example", "updated_at": "2026-04-15T12:00:00Z" }}Unauthorized
User not found
Internal server error